<?php
require( "../../config.php" );

$title='Магия числа';
aut( );
head( );
function form()
{
echo 'Магическое число<br/><br/>
1. Задумайте любое двухзначное число.<br/>
2. Вычтите из него составляющие его цифры<br/>
(пример: Загадали (52)  52 - (5+2) = *45 ).<br/>
3. *Найдите это число в таблице и символ, которому оно соответствует.<br/>
4. Запомните этот символ.<br/><br/>';
}


if (isset($_POST['submit'])) {
form();
$add = htmlspecialchars($_POST['add']);

echo '<b>Вот чудо:</b><br/><br/>Символ числа:<b> ' . $add . '</b>
<br/><br/><a href="index.php">Назад</a><br/>';

} else {
form();
echo '<b>Таблица:</b><br/>';

$a = array("q", "z", "e", "l", "g");
$c = array("a", "b", "c", "d", "f", "h", "i", "j", "k", "m", "n", "o", "p", "r",
"s", "t", "u", "v", "w", "x", "y");
$k = count($c);
$rand = rand("0", "4");
for ($i = 1; $i <= 99; $i++) {
$r = rand("0", "$k");
$b = $c[$r];
if ($i % 9 == "0") {
$b = $a[$rand];
}
print "$i-$b; ";
}

echo '<form action="index.php?act=add" method="post">
<input type = "hidden" name = "add" value  = "' . $a[$rand] . '"/>
<input type = "submit" name = "submit" value = "Далее"/></form>';
}

echo gb."<a href=\"".H."enter\">Прихожая</a>".div;
foot( );
?>


